apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: external-secrets
  namespace: flux-system
spec:
  interval: 10m
  targetNamespace: external-secrets
  chartRef:
    kind: OCIRepository
    name: external-secrets
    namespace: flux-system
  install:
    createNamespace: true
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  values:
    installCRDs: true
    image:
      repository: oci.external-secrets.io/external-secrets/external-secrets
      tag: v2.1.0
      pullPolicy: IfNotPresent
    nodeSelector:
      kubernetes.io/hostname: k8s-cluster-cp-1
    webhook:
      failurePolicy: Ignore
      image:
        repository: oci.external-secrets.io/external-secrets/external-secrets
        tag: v2.1.0
        pullPolicy: IfNotPresent
      nodeSelector:
        kubernetes.io/hostname: k8s-cluster-cp-1
    certController:
      image:
        repository: oci.external-secrets.io/external-secrets/external-secrets
        tag: v2.1.0
        pullPolicy: IfNotPresent
      nodeSelector:
        kubernetes.io/hostname: k8s-cluster-cp-1
    serviceMonitor:
      enabled: false
